Recent Changes - Search:

PITS main list

edit sidebar

Main sidebar

PmWiki

pmwiki.org

01146

Summary: GUI Edit forces strict validation fail
Created: 2009-10-03 23:48
Status: Closed - fixed for 2.2.6
Category: Feature
From: DaveG
Assigned:
Priority: 3
Version: 2.2.5
OS:

Description: In guiedit.php, line 24:

$HTMLHeaderFmt[] = "<script language='javascript' type='text/javascript'
  src='\$FarmPubDirUrl/guiedit/guiedit.js'></script>\n";

the langueage specifier does not validate as XHTML 1.0 Strict. This in itself is not a problem, but it would be nice to be able to over-ride that value in cases where strict validation is desired.

Suggested fix is to name the array element, allowing an over-ride:

$HTMLHeaderFmt['guiedit'] = "<script language='javascript' type='text/javascript'
  src='\$FarmPubDirUrl/guiedit/guiedit.js'></script>\n";

Please note that currently PmWiki strives to produce valid XHTML 1.0 Transitional standard and not Strict, which means that almost any use of tables and forms in a wiki page will most likely fail the "Strict" validation. If validation is required, Authors/Admins have no choice but use the Transitional standard. --Petko October 04, 2009, at 04:26 AM

Edit - History - Print - Recent Changes - Search
Page last modified on September 10, 2011, at 11:56 AM